Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.ui
Interface IFormModel

All Known Implementing Classes:
  AbstractIFormModel, ActionFormModel, DomainFormModel, GenericIFormModel, InfoIFormModel

    public interface IFormModel

An interface model to be used to fill an IFormPanel.

Method Summary
`void` | `addDataListener(FormDataListener l)`
`void` | `addModelListener(FormModelListener l)`
`void` | `clearData()` Clears the model of its data;
`void` | `endUpdate()`
`java.util.HashSet` | `getDataListeners()`
`java.util.List` | `getDisplayFields()` Gets the names of the object's fields that are to be displayed (exc. names)
`java.lang.Class` | `getFieldClass(java.lang.String f)` Gets the class of the object's given field name (e.g.
`java.lang.String` | `getFieldName(java.lang.String f)` Gets the title to use for the object's given field (e.g.
`double` | `getFieldWeight(java.lang.String field)` Gets the weight of the object's given field name to establish its portion of the display.
`java.util.HashSet` | `getModelListeners()`
`java.util.List` | `getNameFields()` Gets the names of the object's fields that are to be shown as its name
`EditableObject` | `getObject()` Get the model's current base object
`java.lang.Class` | `getObjectClass()` Gets the class of the model's base object
`java.lang.Object` | `getValue(java.lang.String field)` Gets the current object's value for the given field name.
`void` | `ignoreUpdate()`
`boolean` | `isEditable(java.lang.String field)` Determines whether a field is editable (can be changed by the user) or not.
`boolean` | `isFieldShowing(java.lang.String field)` Determines whether the given field is part of the model display.
`void` | `setDisplayFields(java.util.List nameFields)` Sets the fields of the object that are to be displayed (exc. names)
`void` | `setDisplayFields(java.lang.String[] nameFields)` Sets the fields of the object that are to be shown as its name.
`void` | `setNameFields(java.util.List nameFields)` Sets the fields of the object that are to be shown as its name.
`void` | `setNameFields(java.lang.String[] nameFields)` Sets the fields of the object that are to be shown as its name.
`void` | `setObject(EditableObject o)` Set the model's base object
`boolean` | `setValue(EditableObject object, java.lang.String field, java.lang.Object value)` Sets the given object's given field to the given value.
`void` | `setValue(java.lang.String field, java.lang.Object value)` Sets the current object's given field to the given value.
`void` | `startUpdate()`

Method Detail

### getNameFields

    java.util.List getNameFields()

  Gets the names of the object's fields that are to be shown as its name

### getDisplayFields

    java.util.List getDisplayFields()

  Gets the names of the object's fields that are to be displayed (exc. names)

### setNameFields

    void setNameFields(java.util.List nameFields)

  Sets the fields of the object that are to be shown as its name.

  Parameters:
    `nameFields` - a list of strings; the field names

### setNameFields

    void setNameFields(java.lang.String[] nameFields)

  Sets the fields of the object that are to be shown as its name.

  Parameters:
    `nameFields` - an array of strings; the field names

### setDisplayFields

    void setDisplayFields(java.util.List nameFields)

  Sets the fields of the object that are to be displayed (exc. names)

  Parameters:
    `nameFields` - a list of strings; the field names

### setDisplayFields

    void setDisplayFields(java.lang.String[] nameFields)

  Sets the fields of the object that are to be shown as its name.

  Parameters:
    `nameFields` - an array of strings; the field names

### getFieldName

    java.lang.String getFieldName(java.lang.String f)

  Gets the title to use for the object's given field (e.g. "Name", "Id")

### getFieldClass

    java.lang.Class getFieldClass(java.lang.String f)

  Gets the class of the object's given field name (e.g. String.class, Object.class)

### getFieldWeight

    double getFieldWeight(java.lang.String field)

  Gets the weight of the object's given field name to establish its portion of the display.

### setObject

    void setObject(EditableObject o)

  Set the model's base object

### getObject

    EditableObject getObject()

  Get the model's current base object

### getObjectClass

    java.lang.Class getObjectClass()

  Gets the class of the model's base object

### getValue

    java.lang.Object getValue(java.lang.String field)

  Gets the current object's value for the given field name.

### setValue

    void setValue(java.lang.String field,
                  java.lang.Object value)

  Sets the current object's given field to the given value.

### setValue

    boolean setValue(EditableObject object,
                     java.lang.String field,
                     java.lang.Object value)

  Sets the given object's given field to the given value.

### clearData

    void clearData()

  Clears the model of its data;

### isEditable

    boolean isEditable(java.lang.String field)

  Determines whether a field is editable (can be changed by the user) or not.

### isFieldShowing

    boolean isFieldShowing(java.lang.String field)

  Determines whether the given field is part of the model display.

### startUpdate

    void startUpdate()

### endUpdate

    void endUpdate()

### ignoreUpdate

    void ignoreUpdate()

### addModelListener

    void addModelListener(FormModelListener l)

### addDataListener

    void addDataListener(FormDataListener l)

### getModelListeners

    java.util.HashSet getModelListeners()

### getDataListeners

    java.util.HashSet getDataListeners()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD